> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Rotten Tomatoes Reviews

> This endpoint is used to fetch reviews from Rotten Tomatoes.



## OpenAPI

````yaml POST /rotten-tomatoes/reviews
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /rotten-tomatoes/reviews:
    post:
      description: This endpoint is used to fetch reviews from Rotten Tomatoes.
      requestBody:
        description: Rotten Tomatoes review scraping parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RottenTomatoesReviewsRequest'
        required: true
      responses:
        '200':
          description: Reviews fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RottenTomatoesReviewsResponse'
              examples:
                validationError:
                  value:
                    all_reviews: []
                    message: <string>
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    RottenTomatoesReviewsRequest:
      type: object
      required:
        - query
      properties:
        query:
          type: string
          description: Provide proper movie page url or movie slug.
        review_type:
          type: string
          description: Specifies the type of reviews that want.
          enum:
            - audience
            - critics
          default: audience
        reviews_to_fetch:
          type: number
          description: >-
            Number of reviews to fetch (default: all reviews, or within
            30-second timeout)
        is_text_formatted:
          type: boolean
          description: 'returns the review text with visual formatting preserved '
    RottenTomatoesReviewsResponse:
      type: object
      properties:
        all_reviews:
          type: array
          description: Array of fetched reviews
          items:
            type: object
            properties:
              author_name:
                type: string
                description: Name of the review author
              author_profile_id:
                type: string
                description: Profile ID of the author
              author_profile_photo_url:
                type:
                  - string
                  - 'null'
                description: URL to the author's HD profile photo, if available
              author_profile_photo_url_org:
                type:
                  - string
                  - 'null'
                description: URL to the author's profile photo, if available
              author_realm:
                type: string
                description: Platform or realm of the author (e.g., RT, Fandango)
              has_profanity:
                type: boolean
                description: Whether the review contains profanity
              has_spoilers:
                type: boolean
                description: Whether the review contains spoilers
              is_super_reviewer:
                type: boolean
                description: Whether the author is a super reviewer
              is_verified:
                type: boolean
                description: Whether the author is verified
              query:
                type: string
                description: Original query URL
              review_date:
                type: string
                description: Date when the review was posted
              review_id:
                type: string
                description: ID of the review
              review_rating:
                type: number
                description: Rating given in the review
              review_text:
                type: string
                description: Content of the review
              review_unique_id:
                type: string
                description: Unique identifier for the review
              score:
                type: number
                description: Score given in the review
        message:
          type: string
          description: Status message about the review extraction
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````